%define module_name Graphite-Simple
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Temp.pm) perl(Test/Deep.pm) perl(Test/Kwalitee.pm) perl(Test/LeakTrace.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt2
Summary: Perl XS package provides methods to collect metrics and send them to Graphite server.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CD/CDN/%{module_name}-%{version}.tar.gz

%description
This package provides methods to collect metrics and send them to Graphite server over UDP socket.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes README LICENSE
%perl_vendor_archlib/G*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.11-alt2
- rebuild with perl 5.38

* Sat Jan 01 2022 Igor Vlasenko <viy@altlinux.org> 0.11-alt1
- updated by package builder

* Wed Dec 29 2021 Igor Vlasenko <viy@altlinux.org> 0.10-alt1
- updated by package builder

* Thu Dec 02 2021 Igor Vlasenko <viy@altlinux.org> 0.08-alt1
- updated by package builder

* Thu Nov 25 2021 Igor Vlasenko <viy@altlinux.org> 0.07-alt1
- updated by package builder

* Fri Aug 13 2021 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- updated by package builder

* Wed Jul 28 2021 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

